Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Interface IQResultListener

All Known Implementing Classes:
  EntityCapabilitiesManager, MulticastRouter, UserManager

    public interface IQResultListener

An IQResultListener will be invoked when a previously IQ packet sent by the server was answered. Use `IQRouter.addIQResultListener(String, IQResultListener)` to add a new listener that will process the answer to the IQ packet being sent. The listener will automatically be removed from the `IQRouter` as soon as a reply for the sent IQ packet is received. The reply can be of type RESULT or ERROR.

Author:
  Gaston Dombiak

Method Summary
`void` | `answerTimeout(String packetId)` Notification method indicating that a predefined time has passed without receiving answer to a previously sent IQ packet.
`void` | `receivedAnswer(IQ packet)` Notification method indicating that a previously sent IQ packet has been answered.

Method Detail

### receivedAnswer

    void receivedAnswer(IQ packet)

  Notification method indicating that a previously sent IQ packet has been answered. The received IQ packet might be of type ERROR or RESULT.

  Parameters:
    `packet` - the IQ packet answering a previously sent IQ packet.

### answerTimeout

    void answerTimeout(String packetId)

  Notification method indicating that a predefined time has passed without receiving answer to a previously sent IQ packet.

  Parameters:
    `packetId` - The packet id of a previously sent IQ packet that wasn't answered.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.